<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" href="./style.css">
        <title>hmw</title>
    </head>
    <body>
        <div class="wrapper">
            <h2>Описати своїми словами навіщо потрібні функції у програмуванні.</h2>
            <p>Коли нам потрібно багато разів повторювати якусь дію у програмі, ми можемо скоротити код й витратити менше часу, написавши функцію. А також таким чином ми уникаємо повторювань однакового коду</p>
            <h2>Описати своїми словами, навіщо у функцію передавати аргумент.</h2>
            <p>При виклику функції, за умови якщо параметри при її оголошенні також були прописані, за допомогою аргументів ми можемо передати їй конкретного значення, яке дає нам можливість створювати більш універсальні функції, які можуть працювати й проводити операції з різними значеннями переданих даних.</p>
            <h2>Що таке оператор return та як він працює всередині функції?</h2>
            <p>return це оператор який повертає нам значення з функції. Коли return виконається, то функція припиняється і вам повертається результат виконання функції.</p>
        </div>

        <script src="./script.js"></script>
    </body>
</html>